pylint #8369 adapt pylint to astng0.18 [resolved]

astng0.18 will be able to use either the _ast module or the compiler.ast module. This involved big changes which partially affect pylint on different places. So we have check all the changes and possibly modify pylint and/or astng

priorityimportant
typeenhancement
done in0.17.0
load7.000
load left0.000
closed by<not specified>